Skip to content

Search Birds in a Nest

GET
/nests/{nestId}/birds

Returns the Birds in a Nest. Results can be filtered by trigger type and status.

Authorizations

Parameters

Path Parameters

nestId
required
string

The ID of the Nest that contains the Birds.

Query Parameters

TriggerType
string
Allowed values: manual event scheduled

Filters Birds by how they are triggered: manual, event, or scheduled. Only manual Birds can be triggered through the POST Bird endpoint in this API.

Status
string
Allowed values: active unpublished suspended

Filters Birds by status. Unpublished Birds are drafts. Active Birds are enabled. Suspended Birds were active Birds that were temporarily paused.

Responses

200

A list of Birds in the Nest.

Array<object>
object
id
string
nestId
string
name
string
status
string
Allowed values: active unpublished suspended
triggerType
string
Allowed values: manual event scheduled
isPublished
boolean

400

Bad Request

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties

404

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties

500

Server Error